package de.hdm_stuttgart.sd1.math;

/**
 * {@link Math#exp(double)} usage example.
 *
 */
public class Driver {

  /**
   * @param args Unused
   */
  public static void main(String[] args) {
    
    Math.setSeriesLimit(6);
    
    double byPowerSeries = Math.exp(1.);
    System.out.println("e=" + byPowerSeries + ", diff=" + (byPowerSeries - java.lang.Math.exp(1.)));
    
    byPowerSeries = Math.exp(2.);
    System.out.println("e=" + byPowerSeries + ", diff=" + (byPowerSeries - java.lang.Math.exp(2.)));
    
    byPowerSeries = Math.exp(3.);
    System.out.println("e=" + byPowerSeries + ", diff=" + (byPowerSeries - java.lang.Math.exp(3.)));

  }
}
